import './Cell.styles_5785ed.css';
import { styled } from '@linaria/react';
import { component, mergeConfig } from '../../../../engines/common.js';
import { cellConfig } from '../../../Cell/Cell.js';

var mergedConfig = /*#__PURE__*/mergeConfig(cellConfig);
var Cell = /*#__PURE__*/component(mergedConfig);
var _exp = function _exp() {
  return Cell;
};
var StyledCell = /*#__PURE__*/styled(_exp())({
  name: "StyledCell",
  "class": "sr9h6sm",
  propsAsIs: true
});
var FileInfoWrapper = /*#__PURE__*/styled('div')({
  name: "FileInfoWrapper",
  "class": "fdmc5qa",
  propsAsIs: false
});
var FilenameWrapper = /*#__PURE__*/styled('div')({
  name: "FilenameWrapper",
  "class": "f1d98k05",
  propsAsIs: false
});
var TruncatedFilenamePart = /*#__PURE__*/styled('span')({
  name: "TruncatedFilenamePart",
  "class": "t1a8csyy",
  propsAsIs: false
});
var FilenameExtensionPart = /*#__PURE__*/styled('span')({
  name: "FilenameExtensionPart",
  "class": "fm3ty55",
  propsAsIs: false
});
var FileDescription = /*#__PURE__*/styled('span')({
  name: "FileDescription",
  "class": "f1uopiri",
  propsAsIs: false
});

export { FileDescription, FileInfoWrapper, FilenameExtensionPart, FilenameWrapper, StyledCell, TruncatedFilenamePart };
